## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - d -

- d : csSubRectangles::SubRect::AllocInfo
- d_name : dirent
- d_size : dirent
- Data : csStringBase, csSoundHandle
- data : csImageArea, csParasiticDataBufferBase, csList< T >::csListElement, csMD5::Digest, csImageVolumeMaker
- DataSize : MINIDUMP_LOCATION_DESCRIPTOR
- dataType : csCommonImageFileLoader
- day : csFileTime
- db_mesh_name : csCoreRenderMesh
- DbgUnmatched : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- dcdx : CrystalSpace::SoftShader::ScanlineComp
- DD : csPlane3, csDPlane
- delegate : OSXView
- deleteCallback : csFontCache
- deleted : csTriangleVertexCost
- denormBuffers : CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoTriangle
- denormFactors : CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoTriangle
- density : csFog
- Depth : csGraphics2D, csImageMemory, csImageVolumeMaker
- description : csShaderMetadata, csOptionDescription, csShaderProgram
- descriptor : csKDTree
- desiredBuffers : CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoMesh
- destination : csShaderVarMapping
- DestinationAlpha : csGraphics3DCaps
- destroy_image : csImageMemory
- DeviceDescription2D : DirectDetectionDevice
- DeviceName2D : DirectDetectionDevice
- deviceNumber : csInputDefinition
- Devices : DirectDetection
- dIcdx : CrystalSpace::SoftShader::ScanlineCompDivZ
- dIcdxLast : CrystalSpace::SoftShader::ScanlineCompDivZ
- dIcdy : CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat
- dimensions : csSpline
- dirObject : csLightProperties
- disk_number_start : ZIP_central_directory_file_header
- DisplayNumber : csGraphics2D
- distance : csScreenBoxResult
- DistanceFactor : csSoundListener
- dIzdx : CrystalSpace::SoftShader::InterpolateScanlinePerspCommon
- dIzdx_f : CrystalSpace::SoftShader::InterpolateScanlinePerspCommon
- dIzdx_fLast : CrystalSpace::SoftShader::InterpolateScanlinePerspCommon
- dIzdy : CrystalSpace::SoftShader::InterpolateEdgePersp
- do_clip_frustum : csRenderContext
- do_clip_plane : csRenderContext
- do_mirror : csCoreRenderMesh
- doCopy : csRenderBuffer::Props
- doDelete : csRenderBuffer::Props
- DopplerFactor : csSoundListener
- DoubleClickDist : csMouseDriver
- DoubleClickTime : csMouseDriver
- doVerbose : csShaderProgram
- draw_rec_level : csRenderContext
- driver : OSXDelegate2D
- driverdb : csGraphics2DGLCommon
- dwFileAttributes : dirent
- dx : csLineOperation
- dxdy : CrystalSpace::SoftShader::InterpolateEdgePersp
- dynDomain : csSimpleRenderMesh